#ifndef FRAME_CPP_INTERFACE__FrameWriterTOC_HH
#define FRAME_CPP_INTERFACE__FrameWriterTOC_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT > 5
#error This interface has been depricated. Please use OFrameStream
#else

#include <iostream>

#include "framecpp/framewritertoc.hh"	// Version 3,4, and 5

#include "framecpp/FrameH.hh"

namespace FrameCPP
{
  namespace Version_3_4_5
  {
    class FrameWriterTOC;
    class FrameAppendWriterTOC;
  }

  class FrameWriterTOC
  {
  public:
    enum mode_type {
      TRUNCATE,
      APPEND
    };

    FrameWriterTOC( std::ostream& Out );
    FrameWriterTOC( std::iostream& IOStream, mode_type Mode );
    ~FrameWriterTOC( );

    void close( );

    void writeFrame( const FrameH& Frame );

  private:
    Version::FrameWriterTOC*		m_truncate;
    Version::FrameAppendWriterTOC*	m_append;
  };
}

#endif /* FRAME_SPEC_CURRENT > 5 */

#endif /* FRAME_CPP_INTERFACE__FrameWriterTOC_HH */
