#include "framecpp/config.h"

#include "errors.hh"

write_failure::write_failure( const std::string& msg )
        : runtime_error( msg )
{
}

read_failure::read_failure( const std::string& msg, unsigned int code )
        : framecpp_error( msg, code )
{
}

not_found_error::not_found_error( const std::string& msg )
        : runtime_error( msg )
{
}

format_error::format_error( const std::string& msg )
        : runtime_error( msg )
{
}


frame_mismatch::frame_mismatch( const std::string& msg )
        : runtime_error( msg )
{
}

cannot_update::cannot_update( const std::string& msg )
        : runtime_error( msg )
{
}

cannot_cat::cannot_cat( const std::string& msg )
        : runtime_error( msg )
{
}

unknown_error::unknown_error( const std::string& msg )
        : runtime_error( msg )
{
}

