#ifndef FrameCppSearchContainerHH
#define FrameCppSearchContainerHH


#include <string>


#include "framecpp/SearchContainer.hh"
#include "framecpp/Version3_4_5/container.hh"

namespace FrameCPP
{
  namespace Version_3_4_5
  {
    template< class T, const std::string& (T::*F)() const>
    class SearchContainer: public FrameCPP::SearchContainer< T, F,
      FrameCPP::Version_3_4_5::Container< T > >
    {
    };
  } // namespace Version_3_4_5
} // namespace FrameCPP

#endif /* FrameCppSearchContainerHH */
