#include "framecpp/config.h"

#include "framecpp/Version6/PTR_STRUCT.hh"

using namespace FrameCPP::Version_6;

PTR_STRUCT::
PTR_STRUCT( const PTR_STRUCT& Source )
  : data_class( Source.data_class ),
    data_instance( Source.data_instance )
{
}

const PTR_STRUCT& PTR_STRUCT::
operator= ( const PTR_STRUCT& RHS )
{
  data_class = RHS.data_class;
  data_instance = RHS.data_instance;
  return *this;
}

std::string PTR_STRUCT::Desc( const std::string& Type )
{
  std::string	ret("PTR_STRUCT(");
  ret += Type;
  ret += " *)";
  return ret;
}

// const PTR_STRUCT NULL_PTR_STRUCT( 0, 0 );
