// -*- mode: c++; c-basic-offset: 4; -*-
//!author: "Lee Samuel Finn"
//: Exception class for unimplemented functionality

#ifndef UNIMPLEMENTED_ERROR_HH
#define UNIMPLEMENTED_ERROR_HH

#include <stdexcept>

namespace General {

    class unimplemented_error : public std::runtime_error {
    public:
	//: Constructor
	//!param: const std::string& - description of exceptional condition
	inline unimplemented_error(const std::string& what_arg)
	  : runtime_error(what_arg)
	{
	}
    };

}

#endif // UNIMPLEMENTED_ERROR_HH
