#ifndef FrameCPPTypesHH
#define FrameCPPTypesHH

#include <string>
#include "framecpp/config.h"
#include <float.h>
#include <general/types.hh>

const INT_2U ID_SH         =  1;
const INT_2U ID_SE         =  2;
const INT_2U ID_FRAME      =  3;
const INT_2U ID_ADCDATA    =  4;
const INT_2U ID_DETECTOR   =  5;
const INT_2U ID_ENDOFFRAME =  6;
const INT_2U ID_MSG        =  7;
const INT_2U ID_HISTORY    =  8;
const INT_2U ID_RAWDATA    =  9;
const INT_2U ID_PROCDATA   = 10;
const INT_2U ID_SIMDATA    = 11;
const INT_2U ID_SERDATA    = 12;
const INT_2U ID_STATDATA   = 13;
const INT_2U ID_VECT       = 14;
const INT_2U ID_EVENT   = 15;
const INT_2U ID_SUMMARY    = 16;
const INT_2U ID_ENDOFFILE  = 17;
const INT_2U ID_TABLE      = 18;
const INT_2U ID_SIMEVENT   = 19;
const INT_2U ID_TOC        = 20;
const INT_2U ID_UNKNOWN    = 21;

const INT_2U FR_VECT_C = 0;
const INT_2U FR_VECT_2S = 1;
const INT_2U FR_VECT_8R = 2;
const INT_2U FR_VECT_4R = 3;
const INT_2U FR_VECT_4S = 4;
const INT_2U FR_VECT_8S = 5;
const INT_2U FR_VECT_8C = 6;
const INT_2U FR_VECT_16C = 7;
const INT_2U FR_VECT_STR = 8;
const INT_2U FR_VECT_2U = 9;
const INT_2U FR_VECT_4U = 10;
const INT_2U FR_VECT_8U = 11;
const INT_2U FR_VECT_1U = 12;

#endif // FrameCPPTypesHH
