#ifndef FrameCPP_VERSION_6_Util_HH
#define FrameCPP_VERSION_6_Util_HH

#include <vector>

#include "framecpp/ContainerBasic.hh"

#include "framecpp/Version6/Dictionary.hh"

namespace FrameCPP
{
  namespace Version_6
  {
    class OFrameStream;

    extern const char* LibraryString;

    void Rethrow( const std::exception& Exception, const std::string& Prefix );

    const std::vector< Dictionary::io_calls_type >& GetClassIO( );
    template< class LM_Container >
    void ReadContainer( IFrameStream& Stream,
			LM_Container& Container,
			bool Recursive = true );
    template< class LM_Container >
    void WriteContainer( OFrameStream& Stream,
			 const LM_Container& Container );

  } // namespace - Version_6
} // namespace - FrameCPP

#endif /* FrameCPP_VERSION_6_Util_HH */
