/* -*- mode: c++; c-basic-offset: 2; -*- */

#include "general/config.h"

#include <time.h>

#include <iostream>

#include "general/TaskTimer.hh"

namespace General
{
  Timer::
  Timer( int Seconds, int CancelSignal )
    : Task( CancelSignal ),
      m_timeout( Seconds ),
      m_err( -1 )
  {
  }

  void Timer::
  operator()( )
  {
    struct timespec wakeup;

    wakeup.tv_sec = m_timeout;
    wakeup.tv_nsec = 0;
    m_err = ( nanosleep( &wakeup, NULL ) != 0 );
  }

}
